Control Structures
Functions
Control Structures
PHP Manual

## include_once()

The include_once() statement includes and evaluates the specified file during the execution of the script. This is a behavior similar to the include() statement, with the only difference being that if the code from a file has already been included, it will not be included again. As the name suggests, it will be included just once.

include_once() should be used in cases where the same file might be included and evaluated more than once during a particular execution of a script, and you want to be sure that it is included exactly once to avoid problems with function redefinitions, variable value reassignments, etc.

For more examples on using require_once() and include_once(), look at the » PEAR code included in the latest PHP source code distributions.

Return values are the same as with include(). If the file was already included, this function returns `TRUE`

> Informacja: include_once() was added in PHP 4.0.1

> Informacja: Be aware, that the behaviour of include_once() and require_once() may not be what you expect on a non case sensitive operating system (such as Windows).

> Example #1 include_once() is case insensitive on Windows

> `<?php
> include_once "a.php"; // this will include a.php
> include_once "A.php"; // this will include a.php again on Windows! (PHP 4 only)
> ?>`
> This behaviour changed in PHP 5 - the path is normalized first so that C:\PROGRA~1\A.php is realized the same as C:\Program Files\a.php and the file is included just once.

Ostrzeżenie

PHP w wersji starszej niż 4.3.0, pracujące pod kontrolą systemów Windows, nie obsługują dostępu do zdalnych plików w tej funkcji, nawet jeśli opcja allow_url_fopen jest włączona.

See also include(), require(), require_once(), get_required_files(), get_included_files(), readfile(), and virtual().

Control Structures
Functions
Control Structures
PHP Manual